[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: allow -h without root
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: allow -h without root |
Date: |
Fri, 11 Aug 2023 20:43:17 +0200 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new cac5b2ca allow -h without root
cac5b2ca is described below
commit cac5b2ca615653a404da7ae2212194581b81574a
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Fri Aug 11 20:43:13 2023 +0200
allow -h without root
---
contrib/taler-auditor-dbconfig | 24 ++++++++++++------------
contrib/taler-exchange-dbconfig | 24 ++++++++++++------------
2 files changed, 24 insertions(+), 24 deletions(-)
diff --git a/contrib/taler-auditor-dbconfig b/contrib/taler-auditor-dbconfig
index c1ef6954..16437d68 100755
--- a/contrib/taler-auditor-dbconfig
+++ b/contrib/taler-auditor-dbconfig
@@ -19,18 +19,6 @@
# Error checking on
set -eu
-if ! id postgres > /dev/null
-then
- echo "Could not find 'postgres' user. Please install Postgresql first"
- exit 1
-fi
-
-if [ "$(id -u)" -ne 0 ]
-then
- echo "This script must be run as root"
- exit 1
-fi
-
RESET_DB=0
SKIP_DBINIT=0
DBUSER="taler-auditor-httpd"
@@ -67,6 +55,18 @@ while getopts ':hn:rsu:' OPTION; do
esac
done
+if ! id postgres > /dev/null
+then
+ echo "Could not find 'postgres' user. Please install Postgresql first"
+ exit 1
+fi
+
+if [ "$(id -u)" -ne 0 ]
+then
+ echo "This script must be run as root"
+ exit 1
+fi
+
if [ 0 = "$SKIP_DBINIT" ]
then
if ! taler-auditor-dbinit -v 2> /dev/null
diff --git a/contrib/taler-exchange-dbconfig b/contrib/taler-exchange-dbconfig
index efa4247e..4be0fef7 100755
--- a/contrib/taler-exchange-dbconfig
+++ b/contrib/taler-exchange-dbconfig
@@ -19,18 +19,6 @@
# Error checking on
set -eu
-if ! id postgres > /dev/null
-then
- echo "Could not find 'postgres' user. Please install Postgresql first"
- exit 1
-fi
-
-if [ "$(id -u)" -ne 0 ]
-then
- echo "This script must be run as root"
- exit 1
-fi
-
RESET_DB=0
SKIP_DBINIT=0
DBUSER="taler-exchange-httpd"
@@ -67,6 +55,18 @@ while getopts ':hn:rsu:' OPTION; do
esac
done
+if ! id postgres > /dev/null
+then
+ echo "Could not find 'postgres' user. Please install Postgresql first"
+ exit 1
+fi
+
+if [ "$(id -u)" -ne 0 ]
+then
+ echo "This script must be run as root"
+ exit 1
+fi
+
if [ 0 = "$SKIP_DBINIT" ]
then
if ! taler-exchange-dbinit -v 2> /dev/null
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: allow -h without root,
gnunet <=